https://shopify.com/admin/api/2020-01/orders.jsonhttps://shopify.dev/docs/admin-api/rest/reference/orders/order#index-2020-01
Retrieve only orders specified by a comma-separated list of order IDs.
The maximum number of results to show on a page. (default: 50, maximum: 250)
Show orders after the specified ID.
Show orders created at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders created at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders last updated at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders last updated at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders imported at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders imported at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders attributed to a certain app, specified by the app ID. Set as current to show orders for the app currently consuming the API.
Filter orders by their status. (default: open) open: Show only open orders. closed: Show only closed orders. cancelled: Show only canceled orders. any: Show orders of any status, including archived orders.
Filter orders by their financial status. (default: any) authorized: Show only authorized orders pending: Show only pending orders paid: Show only paid orders partially_paid: Show only partially paid orders refunded: Show only refunded orders voided: Show only voided orders partially_refunded: Show only partially refunded orders any: Show orders of any financial status. unpaid: Show authorized and partially paid orders.
Filter orders by their fulfillment status. (default: any) shipped: Show orders that have been shipped. Returns orders with fulfillment_status of fulfilled. partial: Show partially shipped orders. unshipped: Show orders that have not yet been shipped. Returns orders with fulfillment_status of null. any: Show orders of any fulfillment status. unfulfilled: Returns orders with fulfillment_status of null or partial.
Retrieve only certain fields, specified by a comma-separated list of fields names.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://shopify.com/admin/api/2020-01/orders.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2020-01/orders.jsonhttps://shopify.dev/docs/admin-api/rest/reference/orders/order#index-2020-01
Retrieve only orders specified by a comma-separated list of order IDs.
The maximum number of results to show on a page. (default: 50, maximum: 250)
Show orders after the specified ID.
Show orders created at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders created at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders last updated at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders last updated at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders imported at or after date (format: 2014-04-25T16:15:47-04:00).
Show orders imported at or before date (format: 2014-04-25T16:15:47-04:00).
Show orders attributed to a certain app, specified by the app ID. Set as current to show orders for the app currently consuming the API.
Filter orders by their status. (default: open) open: Show only open orders. closed: Show only closed orders. cancelled: Show only canceled orders. any: Show orders of any status, including archived orders.
Filter orders by their financial status. (default: any) authorized: Show only authorized orders pending: Show only pending orders paid: Show only paid orders partially_paid: Show only partially paid orders refunded: Show only refunded orders voided: Show only voided orders partially_refunded: Show only partially refunded orders any: Show orders of any financial status. unpaid: Show authorized and partially paid orders.
Filter orders by their fulfillment status. (default: any) shipped: Show orders that have been shipped. Returns orders with fulfillment_status of fulfilled. partial: Show partially shipped orders. unshipped: Show orders that have not yet been shipped. Returns orders with fulfillment_status of null. any: Show orders of any fulfillment status. unfulfilled: Returns orders with fulfillment_status of null or partial.
Retrieve only certain fields, specified by a comma-separated list of fields names.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://shopify.com/admin/api/2020-01/orders.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}